# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.0.6] - 2022-01-26
### Fixed
- An issue with config reader types not working as expected.

## [0.0.5] - 2022-01-26
### Added
- CORS middleware

### Changed
- Refactor and clean up a lot of the app and router code.

## [0.0.4] - 2021-12-18
### Added
- Tests around HEAD, PUT, PATCH, and DELETE in the router
- You can now simply import `package:steward/steward.dart` to bring the entire steward suite into scope. This is the intended way to use steward.
- Added tests for the new controller patterns.
- Added Injectable annotation and HTTP Verb annotations for controllers.

### Changed
- Description in Pubspec.yaml
- Router package now exports the request and response classes as well, since theyre coupled.
- Simplified the generated seed-code to use the simplified imports changes captured in #4
- Controllers function completely differently now. Controllers are mounted into the router which reflectively generates routes from member annotations. Additionally, controllers reflectively have DI items injected via the @Injectable annotation during this time as well.
- Migrated what little CLI we already have to Bosun to provide a better CLI experience.


## [0.0.3] - 2021-04-17
### Added
- Added support for middleware functions
- Added the requestLogger middleware that ships with Steward
- Tests around the router, middleware, and controllers.

### Fixed
- Steward CLI new was not adding imports to the generated controller

## [0.0.2] - 2021-04-11
### Added
- Initial public release of Steward. It's still light with much more to come, but the current pieces work well.
- Add support for Mustache templates and view binding from controllers.
- Add support for wiring up controllers to the router.
